---
server_name: "psvpro.tk" # тут ваш домен
mysql_db: "wordpress"
mysql_user: "wordpress"
mysql_password: "WordpreSS0!"

nginx_vhosts:
  - listen: "80"
    server_name: "{{ server_name }} www.{{ server_name }}"
    return: "301 https://{{ server_name }}$request_uri"
    filename: "{{ server_name }}.80.conf"
  - listen: "443 ssl http2"
    server_name: "{{ server_name }}"
    root: "/var/www/{{ server_name}}/wordpress"
    index: "index.php index.html index.htm"
    error_page: "500 502 503 504 /50x.html"
    access_log: "/var/log/nginx/{{ server_name }}.access.log main"
    error_log: ""
    state: "present"
    template: "{{ nginx_vhost_template }}"
    filename: "{{ server_name }}.conf"
    extra_parameters: |
      location ~ \.php$ {
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass unix:/var/run/php/php-fpm.sock;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        include fastcgi_params;
      }
      ssl_certificate      /etc/letsencrypt/live/{{ server_name }}/fullchain.pem;
      ssl_certificate_key  /etc/letsencrypt/live/{{ server_name }}/privkey.pem;
      ssl_protocols        TLSv1.1 TLSv1.2;
      ssl_ciphers          HIGH:!aNULL:!MD5;

php_memory_limit: "128M"
php_max_execution_time: "90"
php_upload_max_filesize: "256M"
php_webserver_daemon: "nginx"
php_packages:
  - php
  - php-cli
  - php-common
  - php-gd
  - php-mbstring
  - php-pdo
  - php-xml
  - php-curl
  - php-gd
  - php-mbstring
  - php-xml
  - php-xmlrpc
  - php-soap
  - php-intl
  - php-zip
  - php-mysql

mysql_databases:
  - name: "{{ mysql_db }}"
    encoding: utf8
    collation: utf8_general_ci

mysql_users:
  - name: "{{ mysql_user }}"
    host: "%"
    password: "{{ mysql_password }}"
    priv: "wordpress.*:ALL"
